#!/bin/bash
#SBATCH --job-name=bismark-0.24.2-case.sh
#SBATCH --partition=rome
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=8
#SBATCH --mem=120GB
#SBATCH --time=1:00:00

# Choose how many parallel processes to use
parallel_processes=2

module load intel-oneapi-compilers/2022.0.2 bowtie2 samtools Bismark

bismark_genome_preparation test_files
bismark --parallel $parallel_processes -p $(expr $SLURM_NTASKS_PER_NODE / $parallel_processes) test_files test_data.fastq
